com.sun.jna.win32

## Class W32APITypeMapper

- java.lang.Object
- - com.sun.jna.DefaultTypeMapper
  - - com.sun.jna.win32.W32APITypeMapper

- All Implemented Interfaces:
    TypeMapper

      public class W32APITypeMapper
      extends DefaultTypeMapper

  Provide standard conversion for W32 API types. This comprises the following native types:
  - Unicode or ASCII/MBCS strings and arrays of string, as appropriate
  - BOOL
  Author:
    twall

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeMapper` | `ASCII`
    `static TypeMapper` | `UNICODE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `W32APITypeMapper(boolean unicode)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.DefaultTypeMapper

      `addFromNativeConverter, addToNativeConverter, addTypeConverter, getFromNativeConverter, getToNativeConverter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNICODE

          public static final TypeMapper UNICODE

    - #### ASCII

          public static final TypeMapper ASCII

  - ### Constructor Detail

    - #### W32APITypeMapper

          protected W32APITypeMapper(boolean unicode)

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.